<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  #Запрос подсчета количества страниц (являеться аналогом центрального циклового запроса, за исключением параметров сортировки)
  $complaints_page = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM complaints_advertising ORDER BY date DESC" ) );
  $kolvo = 15;
  $all = $complaints_page['count'];
  $allpage = ceil( $all / $kolvo );
  $this_page = ( isset( $_GET['p'] ) ) ? intval( $_GET['p'] ) : 1 ;
  if ( $this_page < 1 ) $this_page = 1;
  if ( $this_page > $allpage ) $this_page = $allpage;
  $start = $this_page * $kolvo - $kolvo;
  if ( $start == -$kolvo ) { $start = 1; }
  
  ?>
    <script type="text/javascript">
      function config_1(a) {
		$.ajax ({
            url: 'ajax_update.php?func=delcomplaints_adv',
            type: 'POST',
            data: ({id: a }),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                location.reload();
              } 
            }
        });
      }
	  
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Жалобы от пользователей</h2>

			<div class="row">
			  <div class="col-md-12">
				<div class="panel panel-default">
				  <div class="panel-heading">Жалобы на рекламу</div>
				  <div class="panel-body">
					<div class="alert alert-dismissible alert-warning">
					  <button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
					  <strong>Внимание!</strong> Ни по каких ссылках из текста жалоб не переходите!!! Помните о безопасности, это может быть прослушка кеша браузера (фишинг).
					</div>
					<table class="display table table-striped table-bordered table-hover" >
					<?
					  $complaints_me = mysql_query("SELECT * FROM complaints_advertising ORDER BY date DESC LIMIT $start,$kolvo");
					  while ($complaints_row = mysql_fetch_array($complaints_me)) {
						$complaints_user = mysql_fetch_array( mysql_query( "SELECT username FROM user WHERE id = '".$complaints_row['iduser']."'" ) );
						$tiket_null = $complaints_row['id'];
						
						switch ( $complaints_row['type'] ) {
						  case 'serf':
							$namerazdel = 'серфинг реклама';
							$type_adv = 'adv_serf_edit';
							break;
						  case 'test':
							$namerazdel = 'оплачиваемые тесты';
							$type_adv = 'adv_test_edit';
							break;
						  case 'task':
							$namerazdel = 'оплачиваемые задания';
							$type_adv = 'adv_tasks_edit';
							break;
						  case 'stat':
							$namerazdel = 'статические ссылки';
							$type_adv = 'adv_stat_edit';
							break;
						  case 'vk':
							$namerazdel = 'реклама вконтакте';
							$type_adv = 'adv_vk_edit';
							break;
						  case 'youtube':
							$namerazdel = 'реклама ютуб';
							$type_adv = 'adv_yt_edit';
							break;
						}
						
						$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
						
						if ( date( 'd.m.Y', $complaints_row['date'] ) == date( 'd.m.Y', time() ) ) {
						  $mess_time = 'сегодня в ' . date( 'H:i', $complaints_row['date'] );
						} else
						if ( date( 'd.m.Y', $complaints_row['date'] ) == date( 'd.m.Y', time() - 86400 ) ) {
						  $mess_time = 'вчера в ' . date( 'H:i', $complaints_row['date'] );
						} else {
						  $mess_time = ( int ) date( 'd', $complaints_row['date'] ) . ' ' . $month[( int ) date( 'm', $complaints_row['date'] ) - 1] . ' ' . date( 'Y', $complaints_row['date'] )  . ' в ' . date( 'H:i', $complaints_row['date'] );
						}
						?>
						  <tr style="border-left: 2px solid #<?=$color?>;">
							<td class="tabright" style="width: 10%; text-align: center; color: #333;">№<?=$complaints_row['id']?></td>
							<td style="width: auto; text-align: left;">
							  <?=$complaints_row['complaints']?><?=$status?>
							</td>
							<td style="width: 250px; text-align: center; color: #1F66B3;">
							  <?=$namerazdel?> (id: <a href="?page=<?=$type_adv?>&id=<?=$complaints_row['ident']?>" title="Открыть площадку в редакторе?" target="_blank"><?=$complaints_row['ident']?></a>)
							</td>
							<td style="width: 170px; text-align: center; ">
							  <?=$mess_time?>
							</td>
							<td style="width: 150px; text-align: center; ">
							  От: <a href="/id<?=$complaints_row['iduser']?>" title="Открыть стенку пользователя в новой вкладке?" target="_blank"><?=$complaints_user['username']?></a>
							</td>
							<td style="width: 70px; text-align: center; ">
							  <a href="#" class="btn btn-danger btn-xs" onclick="config_1(<?=$complaints_row['id']?>);return false;">Удалить</a>
							</td>
						  </tr>
						<?
					  }
					  if($tiket_null < 1) { 
						?>
						  <div class="alert alert-dismissible alert-success">
							<button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
							<strong>Все хорошо!</strong> Жалоб не найдено.
						  </div>
						<?
					  }
					?>
					
					</table>
					<div class="div_centralizator"><? echo navigation( 15, ( int ) $_GET['p'], $complaints_page['count'], '?page=complain_adv&p=' ); ?></div>
				    <br/>
				  </div>
				</div>
			  </div>
			  
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>